Bug 2081457 - [release-4.8] Domain validation fails when TLD contains a digit.
Summary: [release-4.8] Domain validation fails when TLD contains a digit.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: Unspecified
OS: All
high
high
Target Milestone: ---
: 4.8.z
Assignee: Candace Holman
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 2075551
Blocks: ocp-49-z-tracker 2009709
TreeView+ depends on / blocked
 
Reported: 2022-05-03 19:23 UTC by Candace Holman
Modified: 2023-01-11 16:42 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OpenShift 4.8 added an API for customizing platform routes, such as the routes for OpenShift console and OAuth. This API includes status and spec fields in the cluster ingress configuration for reporting the current host names of customizable routes as well as the user's desired host names for these routes, respectively. The API also defined constraints for these values. These constraints were overly restrictive and excluded some valid potential host names, such as host names with top-level domains (TLDs) that contained decimal digits. Consequence: The overly restrictive validation for the new API had two important consequences. First, the restriction on spec prevented users from specifying custom host names that should have been permitted. Second, the restriction on status prevented users from being able to install clusters with domains that should have been permitted, because the operators that report the status would fail when trying to update status. For example, installing a cluster with the domain m3558001.ocptest1 would fail because of the "1" in the TLD. Fix: The constraints on host names in the new API were relaxed to allow all host names that are valid for routes. Result: OpenShift once again allows users to use cluster domains with TLDs that contain decimal digits. OpenShift additionally allows users to customize the console and OAuth routes using any host names that are valid for routes.
Clone Of: 2039256
Environment:
Last Closed: 2022-06-22 12:40:21 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 1191 0 None Merged Bug 2081457: kubebuilder validation format hostname is not RFC compliant 2022-06-09 17:47:11 UTC
Github openshift cluster-config-operator pull 255 0 None Merged Bug 2081457: bump API to fix ComponentRoutes TLD validation 2022-06-14 20:25:32 UTC
Red Hat Product Errata RHBA-2022:5032 0 None None None 2022-06-22 12:40:35 UTC

Comment 12 Arvind iyengar 2022-06-13 11:41:52 UTC
Tested with the latest 4.8.0-0.nightly-2022-06-10-194726 nightly, the error no more occurs with component route containing numeric values in the hostname:
------
# Please edit the object below. Lines beginning with a '#' will be ignored,
# and an empty file will abort the edit. If an error occurs while saving this file will be
# reopened with the relevant failures.
#
apiVersion: config.openshift.io/v1
kind: Ingress
metadata:
  creationTimestamp: "2022-06-13T08:46:25Z"
  generation: 2
  name: cluster
  resourceVersion: "91740"
  uid: 34f9b2eb-1eb0-4897-9877-04389d2bbfad
spec:
  componentRoutes:
  - hostname: custom-route-inval3d.doma2n
    name: downloads
    namespace: openshift-console
  domain: apps.aiyengar48bz.qe.devcluster.openshift.com
-------

Comment 15 errata-xmlrpc 2022-06-22 12:40:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.44 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:5032


Note You need to log in before you can comment on or make changes to this bug.